| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::SndSys::QueueIterator< T > Class Template Reference

A simple iterator over the elements of a queue. More...

`#include <csplugincommon/sndsys/queue.h>`

List of all members.

## Public Member Functions
T * | First ()
T * | Last ()
T * | Next ()
T * | Prev ()
| QueueIterator (Queue< T > *queue)
| ~QueueIterator ()
## Protected Attributes
QEntry< T > * | current
Queue< T > * | q

## Detailed Description

### template<typename T>
class CS::SndSys::QueueIterator< T >

A simple iterator over the elements of a queue.

This is not the preferred way to access the elements of the queue. See Queue<T>::DequeueEntry() for the proper method.

Definition at line 330 of file queue.h.

The documentation for this class was generated from the following file:

- csplugincommon/sndsys/queue.h